# Uses of Class
org.apache.lucene.search.BooleanQuery.Builder

Packages that use BooleanQuery.Builder
Package
Description
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util
Some utility classes.

- ## Uses of BooleanQuery.Builder in org.apache.lucene.search

  Fields in org.apache.lucene.search with type parameters of type BooleanQuery.Builder
  Modifier and Type
  Field
  Description
  `static final ScoringRewrite<BooleanQuery.Builder>`
  ScoringRewrite.`SCORING_BOOLEAN_REWRITE`
  A rewrite method that first translates each term into `BooleanClause.Occur.SHOULD` clause in a BooleanQuery, and keeps the scores as computed by the query.
  Methods in org.apache.lucene.search that return BooleanQuery.Builder
  Modifier and Type
  Method
  Description
  `BooleanQuery.Builder`
  BooleanQuery.Builder.`add(Collection<BooleanClause> collection)`
  Add a collection of BooleanClauses to this `BooleanQuery.Builder`.
  `BooleanQuery.Builder`
  BooleanQuery.Builder.`add(BooleanClause clause)`
  Add a new clause to this `BooleanQuery.Builder`.
  `BooleanQuery.Builder`
  BooleanQuery.Builder.`add(Query query, BooleanClause.Occur occur)`
  Add a new clause to this `BooleanQuery.Builder`.
  `protected BooleanQuery.Builder`
  MultiTermQuery.TopTermsBoostOnlyBooleanQueryRewrite.`getTopLevelBuilder()`
  `protected BooleanQuery.Builder`
  MultiTermQuery.TopTermsScoringBooleanQueryRewrite.`getTopLevelBuilder()`
  `BooleanQuery.Builder`
  BooleanQuery.Builder.`setMinimumNumberShouldMatch(int min)`
  Specifies a minimum number of the optional BooleanClauses which must be satisfied.
  Methods in org.apache.lucene.search with parameters of type BooleanQuery.Builder
  Modifier and Type
  Method
  Description
  `protected void`
  MultiTermQuery.TopTermsBoostOnlyBooleanQueryRewrite.`addClause(BooleanQuery.Builder topLevel, Term term, int docFreq, float boost, TermStates states)`
  `protected void`
  MultiTermQuery.TopTermsScoringBooleanQueryRewrite.`addClause(BooleanQuery.Builder topLevel, Term term, int docCount, float boost, TermStates states)`
  `protected Query`
  MultiTermQuery.TopTermsBoostOnlyBooleanQueryRewrite.`build(BooleanQuery.Builder builder)`
  `protected Query`
  MultiTermQuery.TopTermsScoringBooleanQueryRewrite.`build(BooleanQuery.Builder builder)`

- ## Uses of BooleanQuery.Builder in org.apache.lucene.util

  Methods in org.apache.lucene.util that return BooleanQuery.Builder
  Modifier and Type
  Method
  Description
  `protected BooleanQuery.Builder`
  QueryBuilder.`newBooleanQuery()`
  Builds a new BooleanQuery instance.
  Methods in org.apache.lucene.util with parameters of type BooleanQuery.Builder
  Modifier and Type
  Method
  Description
  `protected void`
  QueryBuilder.`add(String field, BooleanQuery.Builder q, List<QueryBuilder.TermAndBoost> current, BooleanClause.Occur operator)`